#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,q;
    int t;
    cin >> n >> q;
    vector<int> a;
    for(int i = 0;i<n;i++) {
        cin >> t;
        a.push_back(t);
    }

    sort(a.begin(), a.end());

    int b;
    for(int i = 0;i<q;i++){
        cin >> b;

        int k1 = upper_bound(a.begin(), a.end(), b - 1) - a.begin();
        int k2 = upper_bound(a.begin(), a.end(), b) - lower_bound(a.begin(), a.end(), b);
        int k3 = a.end() - upper_bound(a.begin(), a.end(), b);

        if(k2 == 0) {
            if(k1 > k3)
                k1--;
            else
            if(k1 < k3)
                k3--;
            cout << abs(k1 - k3) + 1 << endl;
        }
        else {
            int n0 = n;
            int r = 0;
            while(n0 < 3*n) {
                // cout << "DEBUG (" << k1 << ", " << k2 << ", " << k3 << ")" << endl;
                int m = n0/2 + 1;
                if(n0 % 2 == 1 && k1 == k3) {
                    cout << r << endl;
                    break;
                }
                else
                if(n0 % 2 == 0 && k1 == k3 + 1) {
                    cout << r << endl;
                    break;
                }
                else
                if(k1 < k3) {
                    if(k1 + k2 >= m) {
                        cout << r << endl;
                        break;
                    }
                    else {
                        k1++;
                        n0++;
                        r++;
                    }
                }
                else
                if(k1 > k3) {
                    if(k3 + k2 >= m) {
                        cout << r << endl;
                        break;
                    }
                    else {
                        k3++;
                        n0++;
                        r++;
                    }
                }
            }
        }
    }
    return 0;
}